SASS-SPEC(1)

NAME
sass-spec - sass-spec testsuite for Sass implementions

SYNOPSIS
sass-spec.rb [options] [spec_directory...]

EXAMPLES

    Run `sassc --style compressed input.scss`: ./sass-spec.rb -c 'sass --style compressed'

    Run tests only in the spec/basic folder: ./sass-spec.rb spec/basic

This script will search for all files under the spec (or specified) directory that are named input.scss. It will then run a specified binary and check that the output matches the expected output. If you want set up your own test suite, follow a similar hierarchy as described in the initial comment of this script for your test hierarchy.

This command can also be used to annotate tests to control which tests are ran and when. For details: ./sass-spec.rb annotate -h

Make sure the command you provide prints to stdout.

-v, --verbose
    Run verbosely

-t, --tap
    Output TAP compatible report

-c, --command COMMAND
    Sets a specific binary to run

--dart PATH
    Run Dart Sass, whose repo should be at the given path.

--cmd-args ARGS
    Pass ARGS to command or Dart Sass.

-g, --generate
    Run test(s) and generate expected output file(s).

--run-todo
    Run any tests marked as todo. Defaults to false.

--probe-todo
    Run and report tests marked as todo that unexpectedly pass. Defaults to false.

--impl NAME
    Sets the name of the implementation being tested. Defaults to 'sass'

--filter PATTERN
    Run tests that match the pattern you provide

--limit NUMBER
    Limit the number of tests run to this positive integer.

--migrate-impl
    Copy tests that fail and make them pass for the current implementatino.

--silent
    Don't show any logs

--check-annotations
    Check if any test annotations are unecessary.

--interactive
    When a test fails, enter into a dialog for how to handle it.